Bug 268917

Summary: Amarok crashes when re-opening the Manage Scripts window [@ QScriptEngine::isEvaluating]
Product: [Applications] amarok Reporter: Hagai Kariti <hkariti>
Component: Tools/Script ManagerAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: crash CC: dedeibel.forum, kfunk, network723, rkeevil+kde, thomas
Priority: NOR    
Version: 2.4.1   
Target Milestone: 2.4.2   
Platform: Ubuntu   
OS: Linux   
Latest Commit: Version Fixed In: 2.4.2
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Hagai Kariti 2011-03-19 22:14:59 UTC
Application: amarok (2.4.0.90)
KDE Platform Version: 4.6.1 (4.6.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-28-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
What I was doing when the application crashed:
- Activated the Amparok script, got a syntax error
- Deactivated it
- Opened the Manage scripts window, found amparok, clicked "details"
- Closed the window via the X button
- Tried Manage Scripts again
- Bam!

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f2940cdf7a0 (LWP 12736))]

Thread 15 (Thread 0x7f28f0035700 (LWP 12739)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f292517d262 in ?? () from /usr/lib/libvlccore.so.4
#2  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#3  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f28ed7dd700 (LWP 12742)):
#0  0x00007f293d4ee203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f2937cbd009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f293de481e6 in QEventDispatcherGlib::processEvents (this=0x1cb2bd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f293de1adec in QEventLoop::exec (this=0x7f28ed7dccb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f293dd252fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f293ddfa5f8 in QInotifyFileSystemWatcherEngine::run (this=0x1cb6b60) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f293dd2827e in QThreadPrivate::start (arg=0x1cb6b60) at thread/qthread_unix.cpp:266
#9  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f28dfe0d700 (LWP 12743)):
#0  0x00007f2937cbc9b0 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x00007f2937cbce78 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f293de481e6 in QEventDispatcherGlib::processEvents (this=0x2483b70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f293de1adec in QEventLoop::exec (this=0x7f28dfe0ccb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f293dd252fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f293ddfa5f8 in QInotifyFileSystemWatcherEngine::run (this=0x24831a0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f293dd2827e in QThreadPrivate::start (arg=0x24831a0) at thread/qthread_unix.cpp:266
#9  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f28df3f0700 (LWP 12744)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293b291d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x26bd450, th=0x26bdb10) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f293b294f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x26bdb10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x26bdb10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f293b2934df in ThreadWeaver::ThreadRunHelper::run (this=0x7f28df3efd00, parent=0x26bd450, th=0x26bdb10) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f293b293a38 in ThreadWeaver::Thread::run (this=0x26bdb10) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f293dd2827e in QThreadPrivate::start (arg=0x26bdb10) at thread/qthread_unix.cpp:266
#9  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f28de9e4700 (LWP 12745)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293b291d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x26bd450, th=0x26457c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f293b294f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x26457c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x26457c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x26457c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f293b2934df in ThreadWeaver::ThreadRunHelper::run (this=0x7f28de9e3d00, parent=0x26bd450, th=0x26457c0) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f293b293a38 in ThreadWeaver::Thread::run (this=0x26457c0) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f293dd2827e in QThreadPrivate::start (arg=0x26457c0) at thread/qthread_unix.cpp:266
#10 0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#11 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f28de1e3700 (LWP 12746)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293b291d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x26bd450, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f293b294f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f293b294f84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f293b2934df in ThreadWeaver::ThreadRunHelper::run (this=0x7f28de1e2d00, parent=0x26bd450, th=0x7f28e801bcb0) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f293b293a38 in ThreadWeaver::Thread::run (this=0x7f28e801bcb0) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f293dd2827e in QThreadPrivate::start (arg=0x7f28e801bcb0) at thread/qthread_unix.cpp:266
#11 0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#12 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f28dd9e2700 (LWP 12747)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x242cb30, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293b291d64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x26bd450, th=0x2645f10) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f293b294f6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x26c9fa0, th=0x2645f10) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f293b2934df in ThreadWeaver::ThreadRunHelper::run (this=0x7f28dd9e1d00, parent=0x26bd450, th=0x2645f10) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f293b293a38 in ThreadWeaver::Thread::run (this=0x2645f10) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f293dd2827e in QThreadPrivate::start (arg=0x2645f10) at thread/qthread_unix.cpp:266
#8  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#9  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f28dc978700 (LWP 12748)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f2934d6120e in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f2934d61329 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#4  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f28da13c700 (LWP 12751)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f2939bc4334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f2939ecf160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f2939bc4369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f2939edd234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#4  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f28ce947700 (LWP 12759)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x32d5f28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x32d5f28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293ed3210e in QFileInfoGatherer::run (this=<value optimized out>) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f293dd2827e in QThreadPrivate::start (arg=0x32d5f18) at thread/qthread_unix.cpp:266
#5  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f28ce146700 (LWP 12760)):
#0  0x00007f2937cbb379 in g_main_context_acquire () from /lib/libglib-2.0.so.0
#1  0x00007f2937cbcdf5 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f293de481e6 in QEventDispatcherGlib::processEvents (this=0x32db080, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f293de1adec in QEventLoop::exec (this=0x7f28ce145cb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f293dd252fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f293ddfa5f8 in QInotifyFileSystemWatcherEngine::run (this=0x32d7090) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f293dd2827e in QThreadPrivate::start (arg=0x32d7090) at thread/qthread_unix.cpp:266
#9  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#10 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f28d0353700 (LWP 12771)):
#0  __pthread_mutex_unlock (mutex=0x3aedd18) at pthread_mutex_unlock.c:289
#1  0x00007f2937cb91ca in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#2  0x00007f2937cbd2a8 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f293de481e6 in QEventDispatcherGlib::processEvents (this=0x22c8980, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f293de1adec in QEventLoop::exec (this=0x7f28d0352cb0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f293dd252fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f293ddfa5f8 in QInotifyFileSystemWatcherEngine::run (this=0x3345650) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f293dd2827e in QThreadPrivate::start (arg=0x3345650) at thread/qthread_unix.cpp:266
#10 0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#11 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f28bab3f700 (LWP 23900)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f293dd28e3b in wait (this=<value optimized out>, mutex=0x2e73e78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2e73e78, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f293ed3210e in QFileInfoGatherer::run (this=<value optimized out>) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f293dd2827e in QThreadPrivate::start (arg=0x2e73e68) at thread/qthread_unix.cpp:266
#5  0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#6  0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f28c6b45700 (LWP 23901)):
#0  0x00007f29392c3c9d in __pthread_mutex_unlock_usercnt (mutex=0x2ec3de8) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x2ec3de8) at pthread_mutex_unlock.c:290
#2  0x00007f2937cbd03b in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f293de481e6 in QEventDispatcherGlib::processEvents (this=0x3404a60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f293de1adec in QEventLoop::exec (this=0x7f28c6b44cb0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f293dd252fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f293ddfa5f8 in QInotifyFileSystemWatcherEngine::run (this=0x3ec1990) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f293dd2827e in QThreadPrivate::start (arg=0x3ec1990) at thread/qthread_unix.cpp:266
#10 0x00007f293301cae3 in ?? () from /usr/lib/libGL.so.1
#11 0x00007f29392c0971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f293d4fa92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f2940cdf7a0 (LWP 12736)):
[KCrash Handler]
#6  d_func (this=0x0) at api/qscriptengine.h:280
#7  QScriptEngine::isEvaluating (this=0x0) at api/qscriptengine.cpp:4075
#8  0x00007f293fc3dd9b in ScriptManager::slotStopScript (this=0x23f89a0, name=...) at ../../src/ScriptManager.cpp:292
#9  0x00007f293fc3e367 in ScriptManager::stopScript (this=0x23f89a0, name=...) at ../../src/ScriptManager.cpp:116
#10 0x00007f293f8452bc in ScriptsConfig::slotManageScripts (this=0x3f00530) at ../../src/configdialog/dialogs/ScriptsConfig.cpp:73
#11 0x00007f293f846931 in ScriptsConfig::qt_metacall (this=0x3f00530, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe21f9dd0) at ./ScriptsConfig.moc:75
#12 0x00007f293de33b27 in QMetaObject::activate (sender=0x402ef20, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x26f9be0) at kernel/qobject.cpp:3280
#13 0x00007f293eedc402 in QAbstractButton::clicked (this=0x0, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#14 0x00007f293ebd6eeb in QAbstractButtonPrivate::emitClicked (this=0x3a505a0) at widgets/qabstractbutton.cpp:546
#15 0x00007f293ebd85bb in QAbstractButtonPrivate::click (this=0x3a505a0) at widgets/qabstractbutton.cpp:539
#16 0x00007f293ebd882c in QAbstractButton::mouseReleaseEvent (this=0x402ef20, e=0x7fffe21fa720) at widgets/qabstractbutton.cpp:1121
#17 0x00007f293e85504e in QWidget::event (this=0x402ef20, event=0x7fffe21fa720) at kernel/qwidget.cpp:8187
#18 0x00007f293e7fefdc in QApplicationPrivate::notify_helper (this=0x1328700, receiver=0x402ef20, e=0x7fffe21fa720) at kernel/qapplication.cpp:4396
#19 0x00007f293e80530e in QApplication::notify (this=0x7fffe21fb410, receiver=0x402ef20, e=0x7fffe21fa720) at kernel/qapplication.cpp:3959
#20 0x00007f29406d92c6 in KApplication::notify (this=0x7fffe21fb410, receiver=0x402ef20, event=0x7fffe21fa720) at ../../kdeui/kernel/kapplication.cpp:311
#21 0x00007f293de1bcdc in QCoreApplication::notifyInternal (this=0x7fffe21fb410, receiver=0x402ef20, event=0x7fffe21fa720) at kernel/qcoreapplication.cpp:732
#22 0x00007f293e803dbe in sendEvent (receiver=0x402ef20, event=0x7fffe21fa720, alienWidget=0x0, nativeWidget=0x402ef20, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QApplicationPrivate::sendMouseEvent (receiver=0x402ef20, event=0x7fffe21fa720, alienWidget=0x0, nativeWidget=0x402ef20, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#24 0x00007f293e887345 in QETWidget::translateMouseEvent (this=0x402ef20, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#25 0x00007f293e885c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffe21fb040) at kernel/qapplication_x11.cpp:3536
#26 0x00007f293e8b20e2 in x11EventSourceDispatch (s=0x1327d60, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#27 0x00007f2937cb9342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#28 0x00007f2937cbd2a8 in ?? () from /lib/libglib-2.0.so.0
#29 0x00007f2937cbd45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#30 0x00007f293de48193 in QEventDispatcherGlib::processEvents (this=0x116d920, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#31 0x00007f293e8b1a4e in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#32 0x00007f293de1aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#33 0x00007f293de1adec in QEventLoop::exec (this=0x7fffe21fb370, flags=) at kernel/qeventloop.cpp:201
#34 0x00007f293de1eebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#35 0x00000000004096fc in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:288

Reported using DrKonqi
Comment 1 Christoph Feck 2011-05-15 00:29:41 UTC
*** Bug 272477 has been marked as a duplicate of this bug. ***
Comment 2 network723 2011-05-17 16:43:44 UTC
Created attachment 60082 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.3 (4.6.3) "release 4" using Qt 4.7.3

- What I was doing when the application crashed:

I've installed some scripts using "Managed Scripts", and Amarok crashed when I pressed ctrl+q to quit amarok.

-- Backtrace (Reduced):
#6  d_func (this=0x0) at api/qscriptengine.h:280
#7  QScriptEngine::isEvaluating (this=0x0) at api/qscriptengine.cpp:4105
#8  0x00007f8c0b2ac62b in ScriptManager::slotStopScript (this=0x18d1850, name=...) at /usr/src/debug/amarok-2.4.1/src/ScriptManager.cpp:292
#9  0x00007f8c0b2ae665 in ScriptManager::stopScript (this=0x18d1850, name=...) at /usr/src/debug/amarok-2.4.1/src/ScriptManager.cpp:116
#10 0x00007f8c0accc5d6 in ScriptsConfig::slotManageScripts (this=0x325deb0) at /usr/src/debug/amarok-2.4.1/src/configdialog/dialogs/ScriptsConfig.cpp:73
Comment 3 Myriam Schweingruber 2011-05-18 01:06:07 UTC
Confirmed by comment #2
Comment 4 Robert Keevil 2011-06-03 20:14:41 UTC
Created attachment 60589 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.3

- What I was doing when the application crashed:

Crashed after clicking on Manage Scripts, after looking at the information page of an already installed script.

-- Backtrace (Reduced):
#6  data (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:135
[...]
#8  d_func (this=0x0) at api/qscriptengine.h:280
#9  QScriptEngine::isEvaluating (this=0x0) at api/qscriptengine.cpp:4105
#10 0x00007f1e8183ec30 in ScriptManager::slotStopScript (this=0x4063200, name=...) at ../../src/ScriptManager.cpp:292
#11 0x00007f1e81840c95 in ScriptManager::stopScript (this=0x4063200, name=...) at ../../src/ScriptManager.cpp:116
Comment 5 Kevin Funk 2011-06-03 23:56:54 UTC
Git commit fcc420cf453d0c2b0d56f35584651f3b956f62dd by Kevin Funk.
Committed on 03/06/2011 at 23:43.
Pushed by kfunk into branch 'master'.

Fix crash by invalid scripts during stop phase

Example scenario: Script activated -> Syntax Error -> Manager tries to stop the
script -> Crash due to missing script engine

FIXED-IN: 2.4.2
BUG: 268917

M  +2    -0    ChangeLog     
M  +7    -1    src/ScriptManager.cpp     

http://commits.kde.org/amarok/fcc420cf453d0c2b0d56f35584651f3b956f62dd
Comment 6 Benjamin Peter 2011-07-04 19:19:52 UTC
Created attachment 61605 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.3

- What I was doing when the application crashed:

- Open the Manage Window
- Close it
- Open it
- While it was opening (not yet showing) I clicked the button again. But I guess it was already failing then.

I guess in my version it wasn't fixed yet but looking forward to updating. Thanks :D

-- Backtrace (Reduced):
#6  data (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:135
[...]
#8  d_func (this=0x0) at api/qscriptengine.h:280
#9  QScriptEngine::isEvaluating (this=0x0) at api/qscriptengine.cpp:4105
#10 0x00007f4558206c30 in ScriptManager::slotStopScript (this=0x20c4110, name=...) at ../../src/ScriptManager.cpp:292
#11 0x00007f4558208c95 in ScriptManager::stopScript (this=0x20c4110, name=...) at ../../src/ScriptManager.cpp:116
Comment 7 Kevin Funk 2011-07-05 09:51:55 UTC
@Benjamin: Please test with the upcoming 2.4.2 rc. Should be fixed.